Bug 6270 - Unable to install mono 4
: Unable to install mono 4
Status: RESOLVED INVALID
Product: Desktop Bugs
Classification: ROSA Desktop
Component: LXDE Edition
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: Denis Silakov
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-11 16:41 MSD by Vladimir Potapov
Modified: 2015-10-11 18:50 MSD (History)
0 users

See Also:
RPM Package: mono-4.0
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Potapov 2015-10-11 16:41:37 MSD
urpmi mono-4.0
Для удовлетворения зависимостей будут установлены следующие пакеты:
 Пакет                          Версия       Релиз         Dist  DEpoch Платформа 
(источник «Main»)
 lib64gdiplus0                  2.10         9             rosa  2014.1 x86_64 
(источник «Main Updates»)
 lib64mono0                     3.12.1       6             rosa  2014.1 x86_64 
 mono                           3.12.1       6             rosa  2014.1 x86_64 
Будет использовано 71МБ дополнительного дискового пространства.
Будет загружено 17МБ пакетов.
Установить 3 пакетов? (Y/n) y
    http://mirror.rosalab.ru/rosa/rosa2014.1/repository/x86_64/media/main/release/lib64gdiplus0-2.10-9-rosa2014.1.x86_64.rpm
    http://mirror.rosalab.ru/rosa/rosa2014.1/repository/x86_64/media/main/updates/lib64mono0-3.12.1-6-rosa2014.1.x86_64.rpm                                                                                       
    http://mirror.rosalab.ru/rosa/rosa2014.1/repository/x86_64/media/main/updates/mono-3.12.1-6-rosa2014.1.x86_64.rpm                                                                                             
                                                                                                                                                                                                                  

устанавливается mono-3.12.1-6-rosa2014.1.x86_64.rpm lib64mono0-3.12.1-6-rosa2014.1.x86_64.rpm lib64gdiplus0-2.10-9-rosa2014.1.x86_64.rpm из /var/cache/urpmi/rpms
Подготовка...                    ################################################################################################################################################################################  
      1/3: lib64mono0            ################################################################################################################################################################################  
      2/3: mono                  ################################################################################################################################################################################  
      3/3: lib64gdiplus0         ################################################################################################################################################################################  
keleg@DNS-R6-X64 ~ $ mono -V
Mono JIT compiler version 3.12.1 (tarball Fri Jul 10 09:54:29 UTC 2015)                                                                                                                                            
Copyright (C) 2002-2014 Novell, Inc, Xamarin Inc and Contributors. www.mono-project.com                                                                                                                            
        TLS:           __thread                                                                                                                                                                                    
        SIGSEGV:       altstack                                                                                                                                                                                    
        Notifications: epoll                                                                                                                                                                                       
        Architecture:  amd64                                                                                                                                                                                       
        Disabled:      none                                                                                                                                                                                        
        Misc:          softdebug 
        LLVM:          supported, not enabled.
        GC:            sgen
Comment 1 Denis Silakov 2015-10-11 18:50:49 MSD
This is a misunderstanding of urpmi work and mono package organization. We don't have mono-4.0 package in our repositories (and you won't find it in rpmdrake. We have only mono-3.12.1 which provides "mono-4.0", but this provides stands for CLR version (that is, mono-4.0  means that this package supports CLR 4), not for the mono version.

I know these provides are confusing, but we have to keep them for backward compatibility. And finally, this will confuse only users who run urpmi directly, but I guess once you use a command line package manager you should be ready for its tricks:)